﻿/*	Application		Adder			
	File			Program.cs (Adder)
	Purpose			Demonstration of a simple program, stream IO, pipes 
	Author			Richard John Anthony
	Date			January 2015
	
	Function		1. Accepts two numbers typed on the keyboard
					2. Adds the numbers together
					3. Outputs the sum of the two numbers
*/

using System;

namespace Adder
{
    class Program
    {
        static void Main(string[] args)
        {
            // Input two numbers from the input stream
            string sFirstNumber;
            string sSecondNumber;	
            int iFirstNumber;
            int iSecondNumber;	
            sFirstNumber = Console.ReadLine();
            iFirstNumber = Convert.ToInt32(sFirstNumber);
            sSecondNumber = Console.ReadLine();
            iSecondNumber = Convert.ToInt32(sSecondNumber);

            // Add the numbers
            int iTotal = iFirstNumber + iSecondNumber;

            // Output the result onto the output stream
            string sTotal;
            sTotal = string.Format("{0}",iTotal);
            Console.WriteLine(sTotal);

            // Note that this process will exit immediately after printing the total onto the output stream.
            // Run the program from a command window to see the behaviour properly.
            // The program can also be run by right-clicking on it in a file-explorer window. In this case a command window will be opened automatically, 
            // but since this will be the only process running in the window, as soon as the process closes, so too will the window.
        }
    }
}

