﻿/*	Application		Doubler			
	File			Program.cs (Doubler)
	Purpose			Demonstration of a simple program, stream IO, pipes 
	Author			Richard John Anthony
	Date			January 2015
	
	Function		1. Accepts one number typed on the keyboard
					2. Doubles the value of the number
					3. Outputs the result
*/

using System;

namespace Doubler
{
    class Program
    {
        static void Main(string[] args)
        {
            // Input a number from the input stream
            string sInputNumber;
            int iInputNumber;
            sInputNumber = Console.ReadLine();
            iInputNumber = Convert.ToInt32(sInputNumber);

 	        // Double the number
	        int iResult = iInputNumber * 2;

            // Output the result onto the output stream
            string sResult;
            sResult = string.Format("{0}", iResult);
            Console.WriteLine(sResult);

            // Note that this process will exit immediately after printing the total onto the output stream.
            // Run the program from a command window to see the behaviour properly.
            // The program can also be run by right-clicking on it in a file-explorer window. In this case a command window will be opened automatically, 
            // but since this will be the only process running in the window, as soon as the process closes, so too will the window.
        }
    }
}